###########################################################################
#
# Makefile -- Makefile for packages included with Greenstone
#
# A component of the Greenstone digital library software
# from the New Zealand Digital Library Project at the
# University of Waikato, New Zealand.
#
# Copyright (C) 2000 New Zealand Digital Library Project
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
###########################################################################


# PACKAGEDIRS contains the packages that we want to make and install.  It
# is assumed that each package will have at least four rules: all, install,
# clean, and distclean.

PACKAGEDIRS =	wv/wv-gs rtftohtml/rtftohtml_src pdftohtml/pdftohtml_gs \
		wget/wget-1.9 expat/ cpan/XML-Parser-2.34 \
		xlhtml/xlhtml-0.4.9.0 isis-gdl

all:
	for odir in $(PACKAGEDIRS); do \
          echo making $@ in $$odir; \
          (cd $$odir && $(MAKE) $(MDEFINES) $@) || exit 1; \
        done

install:
	for idir in $(PACKAGEDIRS); do \
          echo installing $$idir; \
          (cd $$idir && $(MAKE) install) || exit 1; \
        done

clean:
	for subdir in $(PACKAGEDIRS); do \
          echo cleaning $@ in $$subdir; \
          (cd $$subdir && $(MAKE) clean || exit 0) ; \
        done

distclean:
	for subdir in $(PACKAGEDIRS); do \
          echo cleaning $@ in $$subdir; \
          (cd $$subdir && $(MAKE) distclean || exit 0) ; \
        done
